# spec file for package nodejs-nodejs-spdx

%global commit e98233f7ebfa27ceec7d9f9bd77d7eb003ca3210
%global npm_name spdx
%global github_name spdx.js
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-spdx
Version:	0.4.1
Release:	1%{?dist}
Summary:	SPDX License Expression Syntax parser
Url:		https://github.com/kemitchell/spdx.js
Source0:	https://github.com/kemitchell/%{github_name}/archive/%{github_name}-%{commit}.tar.gz
License:	Apache-2.0

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(docco)
#BuildRequires:	npm(fixpack)
#BuildRequires:	npm(jison)
#BuildRequires:	npm(jscs)
#BuildRequires:	npm(jshint)
#BuildRequires:	npm(jsmd)
%endif

BuildRequires:	npm(spdx-license-ids)

Requires:	npm(spdx-license-ids)

%description
SPDX License Expression Syntax parser

%prep
%setup -q -n %{github_name}-%{commit}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json source/ build/ reference/ \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
jsmd README.md
%endif

%files
%{nodejs_sitelib}/spdx

%doc README.md
%license LICENSE.md

%changelog
* Wed Jun 10 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.4.1-1
- Initial build
